Bug 460103 - Margins for headers in System Settings tabs differs for different components.
Summary: Margins for headers in System Settings tabs differs for different components.
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: general (show other bugs)
Version: 5.25.90
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-07 23:24 UTC by Victor Prudniy
Modified: 2022-11-06 05:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.27


Attachments
demo (385.83 KB, image/png)
2022-10-07 23:24 UTC, Victor Prudniy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Prudniy 2022-10-07 23:24:20 UTC
Created attachment 152635 [details]
demo

SUMMARY
Margins for headers in System Settings tabs differs for different components. This causing text jump when switching  tabs.


STEPS TO REPRODUCE
1. Open System Settings
2. Switch different menu items

Please see attachments for visual demo.
Comment 1 Nate Graham 2022-10-10 17:00:19 UTC
Indeed, this is a known issue, and will be fixed once https://invent.kde.org/plasma/systemsettings/-/merge_requests/144 is merged.
Comment 2 Bug Janitor Service 2022-10-16 19:49:23 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kirigami/-/merge_requests/776
Comment 3 Bug Janitor Service 2022-10-16 22:47:25 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kwidgetsaddons/-/merge_requests/156
Comment 4 Ismael Asensio 2022-10-16 23:00:20 UTC
Git commit c4a60bfd5d8ede30808b3312857226727bd3c84f by Ismael Asensio.
Committed on 16/10/2022 at 19:51.
Pushed by iasensio into branch 'master'.

AbstractPageHeader: reduce minimum title left padding

The current minimum left padding for the title text (when there
are no other UI elements, like navigation tools) is set `gridUnit`,
which can be a huge amount (18px on default settings) and is not
comparable with that of the QtWidgets equivalent.

Reduce this value to `largeSpacing`, which also aligns better with
the contents within the page

M  +2    -2    src/controls/private/globaltoolbar/AbstractPageHeader.qml

https://invent.kde.org/frameworks/kirigami/commit/c4a60bfd5d8ede30808b3312857226727bd3c84f
Comment 5 Ismael Asensio 2022-10-27 18:55:31 UTC
Git commit 6663d05bf82f9d53aa3bf44636e339c89e484372 by Ismael Asensio.
Committed on 26/10/2022 at 21:18.
Pushed by iasensio into branch 'master'.

Consistent indent between QWidgets/QML Titles

QML KCMs use AbstractPageHeader for their title, which have a
default indentation of Kirigami.Units.gridUnit

Use the same value for the QWidget's title left margin.
FIXED-IN: 5.27

M  +1    -0    core/CMakeLists.txt
M  +4    -2    core/ModuleView.cpp

https://invent.kde.org/plasma/systemsettings/commit/6663d05bf82f9d53aa3bf44636e339c89e484372